# Uses of Class io.dapr.workflows.saga.SagaOption (dapr-sdk-workflows 0.12.2 API)
use: package: io.dapr.workflows.saga, class: SagaOption

# Uses of Class
io.dapr.workflows.saga.SagaOption

Packages that use SagaOption
Package
Description
io.dapr.workflows
io.dapr.workflows.saga

## Uses of SagaOption in io.dapr.workflows

Methods in io.dapr.workflows that return SagaOption
Modifier and Type
Method
Description
`SagaOption`
Workflow.`getSagaOption()`
get saga configuration.

## Uses of SagaOption in io.dapr.workflows.saga

Methods in io.dapr.workflows.saga that return SagaOption
Modifier and Type
Method
Description
`SagaOption`
SagaOption.Builder.`build()`
Build Saga optiion.
Constructors in io.dapr.workflows.saga with parameters of type SagaOption
Modifier
Constructor
Description
``
`Saga(SagaOption option)`
Build up a Saga with its options.